summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Andrew Clemons2019-03-23 03:46:11 +0100
committer Willy Sudiarto Raharjo2019-03-30 01:18:23 +0100
commitedf9f59e18b09fe4f856c7aee13fba0fbee0868a (patch)
tree8f7f1947c722fd4b75b77f160fc3c2faff456df4 /misc
parent22f6805f1804c3d72145a60005b23e9ff486ad71 (diff)
downloadslackbuilds-edf9f59e18b09fe4f856c7aee13fba0fbee0868a.tar.gz
misc/fcitx-mozc: Fix build + download urls.
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com>
Diffstat (limited to 'misc')
-rw-r--r--misc/fcitx-mozc/fcitx-mozc.SlackBuild10
-rw-r--r--misc/fcitx-mozc/fcitx-mozc.info18
2 files changed, 22 insertions, 6 deletions
diff --git a/misc/fcitx-mozc/fcitx-mozc.SlackBuild b/misc/fcitx-mozc/fcitx-mozc.SlackBuild
index e1ec0c6ef8..1f5008c57e 100644
--- a/misc/fcitx-mozc/fcitx-mozc.SlackBuild
+++ b/misc/fcitx-mozc/fcitx-mozc.SlackBuild
@@ -55,6 +55,8 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
# paramater of Qt dir.
RCC_LOC=`pkg-config QtCore --variable=rcc_location`
QT4DIR=${RCC_LOC%%/bin/rcc}
@@ -80,10 +82,10 @@ echo "prepare source file..."
# unzip packages
unzip ${CWD}/x-ken-all-${ZIPCODE_REL}.zip
unzip ${CWD}/jigyosyo-${ZIPCODE_REL}.zip
-unzip ${CWD}/$MOZC_REV.zip
-unzip ${CWD}/$JAPNESE_USAGE_DICT_REV.zip
-unzip ${CWD}/$GYP_REV.zip
-unzip ${CWD}/$PROTOBUF_REV.zip
+unzip ${CWD}/mozc-$MOZC_REV.zip
+unzip ${CWD}/japanese-usage-dictionary-$JAPNESE_USAGE_DICT_REV.zip
+unzip ${CWD}/gyp-$GYP_REV.zip
+unzip ${CWD}/protobuf-$PROTOBUF_REV.zip
# extact tar file
tar -xvf ${CWD}/fcitx-mozc-icon.tar.gz
diff --git a/misc/fcitx-mozc/fcitx-mozc.info b/misc/fcitx-mozc/fcitx-mozc.info
index 4a9cf4fee8..4bfa1c39e9 100644
--- a/misc/fcitx-mozc/fcitx-mozc.info
+++ b/misc/fcitx-mozc/fcitx-mozc.info
@@ -1,8 +1,22 @@
PRGNAM="fcitx-mozc"
VERSION="2.17.2313.102.1"
HOMEPAGE="https://fcitx-im.org"
-DOWNLOAD="http://download.fcitx-im.org/fcitx-mozc/fcitx-mozc-2.17.2313.102.1.patch http://download.fcitx-im.org/fcitx-mozc/fcitx-mozc-icon.tar.gz http://downloads.sourceforge.net/pnsft-aur/jigyosyo-201511.zip http://downloads.sourceforge.net/pnsft-aur/x-ken-all-201511.zip https://github.com/google/mozc/archive/3306d3314499a54a4064b8b80bbc1bce3f6cfac4.zip https://github.com/hiroyuki-komatsu/japanese-usage-dictionary/archive/e5b3425575734c323e1d947009dd74709437b684.zip https://github.com/google/protobuf/archive/172019c40bf548908ab09bfd276074c929d48415.zip https://github.com/adblockplus/gyp/archive/e2e928bacd07fead99a18cb08d64cb24e131d3e5.zip"
-MD5SUM="45fc59b37e21fc9d19875a9a45683688 80fe2ef127b70649df22d133822ac8a7 6a077e9aef4d8510cb4863e15ad2aed2 613677880579f1dc03f0637d42abaf0c 1b6d8aa97cb9801d214de0f47fee0242 a6eb1da9ad7ceffcb9683003332abf7e 828b7ffb92b4a01cce10312cdef4f532 fe502a9242ba799406b1141b5085a24d"
+DOWNLOAD="http://download.fcitx-im.org/fcitx-mozc/fcitx-mozc-2.17.2313.102.1.patch \
+ http://download.fcitx-im.org/fcitx-mozc/fcitx-mozc-icon.tar.gz \
+ https://slackware.uk/sbosrcarch/by-name/misc/fcitx-mozc/jigyosyo-201511.zip \
+ https://slackware.uk/sbosrcarch/by-name/misc/fcitx-mozc/x-ken-all-201511.zip \
+ https://github.com/google/mozc/archive/3306d3314499a54a4064b8b80bbc1bce3f6cfac4/mozc-3306d3314499a54a4064b8b80bbc1bce3f6cfac4.zip \
+ https://github.com/hiroyuki-komatsu/japanese-usage-dictionary/archive/e5b3425575734c323e1d947009dd74709437b684/japanese-usage-dictionarye5b3425575734c323e1d947009dd74709437b684.zip \
+ https://github.com/google/protobuf/archive/172019c40bf548908ab09bfd276074c929d48415/protobuf-172019c40bf548908ab09bfd276074c929d48415.zip \
+ https://github.com/adblockplus/gyp/archive/e2e928bacd07fead99a18cb08d64cb24e131d3e5/gyp-e2e928bacd07fead99a18cb08d64cb24e131d3e5.zip"
+MD5SUM="45fc59b37e21fc9d19875a9a45683688 \
+ 80fe2ef127b70649df22d133822ac8a7 \
+ 6a077e9aef4d8510cb4863e15ad2aed2 \
+ 613677880579f1dc03f0637d42abaf0c \
+ 1b6d8aa97cb9801d214de0f47fee0242 \
+ a6eb1da9ad7ceffcb9683003332abf7e \
+ 828b7ffb92b4a01cce10312cdef4f532 \
+ fe502a9242ba799406b1141b5085a24d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="fcitx-configtool ninja zinnia"